跳转到主要内容
GET
/
search
/
research
/
papers
/
{id}
/
similar
查找相关论文
curl --request GET \
  --url https://api.firecrawl.dev/v2/search/research/papers/{id}/similar \
  --header 'Authorization: Bearer <token>'
{
  "poolSize": 40,
  "results": [
    {
      "abstract": "We present high quality image synthesis results using diffusion probabilistic models...",
      "ids": {
        "arxiv": [
          "2006.11239"
        ]
      },
      "paperId": "482107036680302043",
      "primaryId": "arxiv:2006.11239",
      "score": 0.032119,
      "signals": {
        "articleRank": 0.00031,
        "seedOverlap": 2,
        "semantic": 0.61,
        "structural": 12
      },
      "title": "Denoising Diffusion Probabilistic Models"
    }
  ],
  "success": true,
  "truncated": false
}
从一篇种子论文出发,通过结构扩展查找相关论文,并根据自然语言 intent 对候选论文进行排序。使用 mode 选择相似论文、引用该论文的论文或其参考文献。 有关工作流概览,请参见 Research Index 指南

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

id
string
必填

主种子论文引用。

查询参数

intent
string
必填

用于语义排序的自然语言排序/过滤意图。

Minimum string length: 1
mode
enum<string>
默认值:similar

结构扩展模式。

可用选项:
similar,
citers,
references
k
integer
默认值:40

返回的相关论文的最大数量。

必填范围: 1 <= x <= 500
rerank
boolean

对融合后的候选结果再进行一次重排序。

anchor
string

附加的种子论文引用。多个锚点时,请重复传入此参数。

响应

已排序的相关论文。

poolSize
integer
必填
必填范围: x >= 0
results
object[]
必填
success
boolean
必填
truncated
boolean
必填
note
string | null